Mobile to Account Details Lookup

Fetch Bank Accounts and UPI VPA from mobile number.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Header Parameters

NameTypeDescriptionMandatory (M) , Optional (O)Provided by INSTANTPAY (Y/N)
X-Ipay-Auth-CodeStringAuth Code is "1" (Fixed)MY
X-Ipay-Client-IdStringUnique Client Id Provided by InstantpayMY
X-Ipay-Client-SecretStringUnique Client Secret Provided by InstantpayMY
X-Ipay-Endpoint-IpStringEnd customer IP AddressMN

Request Parameter

Parameter NameTypeRequirementDescription
mobileNumberStringMandatoryBank Account linked mobile number
externalRefStringMandatoryUnique Transaction Id
consentStringMandatory(Y or N)Consent should be
accepted by
customer
latitudeStringMandatoryEnd Customer Latitude.
longitudeStringMandatoryEnd Customer longitude.

Sample Request

curl --location 'https://api.instantpay.in/identity/mobile/accountLookup' \
--header 'X-Ipay-Auth-Code: 1' \
--header 'X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549GzXXXX' \
--header 'X-Ipay-Client-Secret: 82e4755d7c1cf636816addfe1460936d7b64612208df8XXX' \
--header 'X-Ipay-Endpoint-Ip: 14.142.186.142' \
--header 'Content-Type: application/json' \
--data '{
"mobileNumber": "9876543211",
"consent": "Y",
"externalRef": "1758870994",
"latitude": 0.99,
"longitude": 38
}'
POST /identity/mobile/accountLookup HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: 1
X-Ipay-Client-Id: YWY3OTAzYzNlM2ExZTJlOfh549Gzt+5XXXXXXXXX
X-Ipay-Client-Secret: 82e4755d7c1cf636816addfe1460936d7b64612208df8XXX
X-Ipay-Endpoint-Ip: 14.142.186.142
Content-Type: application/json
Content-Length: 112

{
"mobileNumber": "9876543211",
"consent": "Y",
"externalRef": "1758870994",
"latitude": 0.99,
"longitude": 38
}

Response Parameter

Parameter NameTypeDescription
statuscodeStringInstantpay Status Code
actcodeStringAction Code
statusStringStatus message
dataArrayResponse Data(if Present)
timestampStringResponse time (YYYY-MM-DD HH:II:SS)
ipay_uuidStringRequest reference number
orderidStringTransaction Id(if transaction otherwise it is null)
environmentStringLive/Sandbox
internalCodeStringIt will be null

Sample Response

{
    "statuscode": "TXN",
    "actcode": null,
    "status": "Transaction Successful",
    "data": {
        "accountData": {
            "vpa": "98765433211@ybl",
            "accountHolderName": "Mr MARUTHI",
            "accountNumber": "61741012345",
            "accountIfsc": "IDIB000U008",
            "amountDeposited": "0.00",
            "bankName": "INDIAN BANK",
            "bankBranch": "HALASURU",
            "bankAddress": "NO 55/3 CAR STREET ULSOOR HALASURU  ULSOOR)  PIN 56000 KARNATAKA 8"
        },
        "poolReferenceId": "1250926144528BNGYT",
        "pool": {
            "openingBal": "16.79",
            "mode": "DR",
            "amount": "0.00",
            "closingBal": "16.79"
        }
    },
    "timestamp": "2025-09-26 14:45:28",
    "ipay_uuid": "h0009ff8129a-439b-496e-95c2-bfcf367b6276-U5OwKORFjooF",
    "orderid": "1250926144528BNGYT",
    "environment": "LIVE",
    "internalCode": null
}

Body Params
string
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json